\begin{tabular}{|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|l|c|c|c|}
\hline \multicolumn{28}{|c|}{Proof obligations } & \provername{Alt-Ergo 2.3.1} & \provername{CVC4 1.6} & \provername{Z3 4.8.6} \\ 
\hline
\explanation{VC for algorithmA\_spec}  & \explanation{variant decrease} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.74} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.44} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{1.10} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &   &   &  & & & & & & & & & & & & & & & & & & & & & \valid{0.33} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{1.71} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.42} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.30} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.42} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.56} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{3-5}
 &  &   &  & & & & & & & & & & & & & & & & & & & & & & & \valid{3.47} & \noresult& \noresult\\ 
\cline{4-6}
 &  &  &  & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\hline
\explanation{VC for permutations}  & \explanation{variant decrease} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \valid{1.22} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.63} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{1.34} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{1.61} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{3-5}
 &  &   &  & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.33} & \noresult\\ 
\cline{4-6}
 &  &  &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.10} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.15} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.31} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.22} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &   &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{16-18}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.26} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.26} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.16} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.29} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.30} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{16-18}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.32} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.85} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.17} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.19} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.31} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.24} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{3-5}
 &  &   &  & & & & & & & & & & & & & & & & & & & & & & & \valid{0.23} & \valid{1.30} & \noresult\\ 
\cline{4-6}
 &  &  &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.10} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.10} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.31} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \valid{0.04} & \valid{0.21} & \valid{0.03} \\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.68} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.21} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \valid{0.04} & \valid{0.29} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &   &   &  & \noresult& \valid{0.12} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.13} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.44} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \valid{0.04} & \noresult& \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.16} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.19} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.45} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.16} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.05} & \noresult& \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.65} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \valid{0.19} & \noresult& \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.17} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.23} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.93} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.25} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.26} & \noresult\\ 
\cline{25-27}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.20} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.31} & \noresult& \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.37} & \noresult& \noresult\\ 
\cline{3-5}
 &  &   &  & & & & & & & & & & & & & & & & & & & & & & & \valid{0.25} & \noresult& \noresult\\ 
\cline{4-6}
 &  &  &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &  & & & & & & & & & & & & & & & & & & & \valid{0.53} & \noresult& \noresult\\ 
\hline
\explanation{VC for monotone\_algA}  & \explanation{variant decrease} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.24} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.30} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.40} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{1.10} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.50} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{1.52} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{1.89} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.09} & \valid{0.35} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &   &   &  & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{5-7}
 &  &  &  &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.31} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.10} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.29} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &   &   &  & \noresult& \valid{0.19} & \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{16-18}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.10} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.18} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.17} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.27} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.28} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.16} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.18} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &  & & & & & \noresult& \valid{0.99} & \noresult\\ 
\cline{14-15}
 &  & & & \noresult& \valid{0.75} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &  & & & \valid{0.05} & \noresult& \noresult\\ 
\cline{3-5}
 &  &   &   &  & & & & & & & & & & & & & & & & & & & & & \valid{0.56} & \noresult& \noresult\\ 
\cline{5-7}
 &  &  &  &   &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.33} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.25} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.23} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.30} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.47} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.18} & \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \valid{0.03} & \noresult& \noresult\\ 
\cline{16-18}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.03} & \noresult& \noresult\\ 
\cline{3-5}
 &  &   &  & & & & & & & & & & & & & & & & & & & & & & & \valid{0.18} & \noresult& \noresult\\ 
\cline{4-6}
 &  &  &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.19} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.28} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.25} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.56} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \valid{0.04} & \noresult& \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &   &   &  & \noresult& \valid{0.32} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.28} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.17} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.19} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.45} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.20} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.24} & \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &   &   &  & \noresult& \valid{0.20} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.12} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.33} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.11} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.68} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.20} & \noresult\\ 
\cline{25-27}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.73} & \noresult\\ 
\cline{26-27}
 &  & \valid{0.04} & \valid{0.27} & \noresult\\ 
\cline{26-28}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \valid{0.05} & \noresult& \noresult\\ 
\cline{27-29}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.53} & \valid{0.15} \\ 
\cline{28-30}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.04} & \noresult& \noresult\\ 
\cline{16-18}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &   &  & \noresult& \valid{0.21} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.12} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.12} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.37} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.14} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.24} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.69} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{25-27}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.85} & \noresult& \noresult\\ 
\cline{26-27}
 &  & \valid{0.05} & \valid{0.32} & \noresult\\ 
\cline{26-28}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \valid{0.06} & \noresult& \noresult\\ 
\cline{27-29}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.07} & \noresult& \noresult\\ 
\cline{28-29}
 &  & \valid{0.05} & \noresult& \noresult\\ 
\cline{28-30}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.06} & \noresult& \noresult\\ 
\hline
\explanation{VC for smb}  & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.40} & \noresult\\ 
\hline
\explanation{VC for unsat\_cl\_mem\_ABot\_in\_algorithmA}  & \explanation{variant decrease} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.27} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.97} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.19} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.63} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &   &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &   &   &   &  & & & & & & & & & & & \noresult& \valid{0.64} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \valid{1.03} & \noresult& \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &  & & & & & & & & & \noresult& \valid{0.31} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.34} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.28} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \valid{1.45} & \noresult& \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{1.25} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.24} & \noresult\\ 
\cline{3-5}
 &  &   &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &   &   &   &  & & & & & & & & & & & \noresult& \valid{0.33} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{4-6}
 &  &  &   &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.47} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &   &   &  & & & & & & & & & & & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &  & & & & & & & & & & & & & & & \noresult& \valid{0.42} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.38} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &   &   &  & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \noresult& \valid{0.15} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.21} & \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.13} & \noresult\\ 
\cline{16-18}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.21} & \noresult\\ 
\cline{17-19}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.30} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.29} & \noresult\\ 
\cline{19-21}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.46} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.47} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &   &   &   &  & & & & & \valid{0.11} & \noresult& \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &  & & & & & \noresult& \valid{0.57} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \valid{0.53} & \noresult& \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \noresult& \valid{0.26} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &  & & & \noresult& \valid{1.13} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &  & & & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{3-5}
 &  &   &   &   &   &  & & & & & & & & & & & & & & & & & \valid{0.11} & \noresult& \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.36} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \valid{0.28} & \noresult& \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.20} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.38} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \noresult& \valid{4.40} \\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &  & & & & & & & & & & & \noresult& \valid{0.72} & \noresult\\ 
\cline{4-6}
 &  &  &   &   &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.19} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.27} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &  & & & & & & & & & & & & & & & \noresult& \valid{0.41} & \noresult\\ 
\cline{3-5}
 &  &   &   &  & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{5-7}
 &  &  &  &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.22} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.25} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.28} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &  & & & & & \valid{0.18} & \valid{0.44} & \noresult\\ 
\hline
\explanation{VC for not\_mem\_ABot\_then\_cl\_sat} & & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.41} & \noresult\\ 
\cline{2-4}
 & \explanation{postcondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.40} & \noresult\\ 
\hline
\explanation{VC for sat\_cl\_not\_ABot\_in\_algorithmA}  & \explanation{variant decrease}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.24} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.25} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.79} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.21} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.75} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition}  &  & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{1.44} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{1.68} & \noresult& \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.20} & \noresult\\ 
\cline{2-5}
 & \explanation{precondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.03} & \valid{0.19} & \noresult\\ 
\cline{2-5}
 & \explanation{postcondition}  &   &   &  & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{5-7}
 &  &  &  &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.10} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.14} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.27} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.33} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &  & & & & & & & & & \noresult& \valid{0.18} & \noresult\\ 
\cline{3-5}
 &  &   &   &  & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{5-7}
 &  &  &  &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.12} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.11} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.20} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{0.32} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.20} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \noresult& \valid{0.19} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &   &   &   &  & \noresult& \valid{0.27} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.56} & \valid{0.51} & \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &   &   &   &   &  & \noresult& \valid{0.23} & \noresult\\ 
\cline{20-22}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.23} & \noresult\\ 
\cline{21-23}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.21} & \noresult\\ 
\cline{22-24}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.36} & \noresult\\ 
\cline{23-25}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.51} & \noresult\\ 
\cline{24-26}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.62} & \noresult\\ 
\cline{25-27}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.41} & \noresult\\ 
\cline{27-28}
 &  & \noresult& \valid{0.37} & \noresult\\ 
\cline{26-28}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{2.00} & \noresult\\ 
\cline{27-29}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &   &  & \noresult& \valid{0.22} & \noresult\\ 
\cline{28-30}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.43} & \noresult\\ 
\cline{3-5}
 &  &  & & & & & & & & & & & & & & & & & & & & & & & & & \valid{0.43} & \noresult& \noresult\\ 
\cline{3-5}
 &  &   &   &  & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.13} & \noresult\\ 
\cline{5-7}
 &  &  &  &   &  & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.13} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &   &  & & & & & & & & & & & & & & & & & \noresult& \valid{0.14} & \noresult\\ 
\cline{7-9}
 &  &  &  &  &  &   &  & & & & & & & & & & & & & & & \noresult& \valid{0.16} & \noresult\\ 
\cline{8-10}
 &  &  &  &  &  &  &   &  & & & & & & & & & & & & & \noresult& \valid{0.19} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &   &  & & & & & & & & & & & \noresult& \valid{0.31} & \noresult\\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &   &  & & & & & & & & & \noresult& \valid{1.25} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &   &  & & & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{12-14}
 &  &  &  &  &  &  &  &  &  &  &   &  & & & & & \noresult& \valid{0.17} & \noresult\\ 
\cline{13-15}
 &  &  &  &  &  &  &  &  &  &  &  &   &  & & & \noresult& \valid{0.19} & \noresult\\ 
\cline{14-16}
 &  &  &  &  &  &  &  &  &  &  &  &  &   &   &   &   &  & \noresult& \valid{0.31} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.77} & \noresult& \noresult\\ 
\cline{15-17}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &   &   &  & \valid{0.05} & \noresult& \noresult\\ 
\cline{18-19}
 &  & \noresult& \valid{0.31} & \noresult\\ 
\cline{18-20}
 &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  &  & \valid{0.04} & \noresult& \noresult\\ 
\hline
\explanation{VC for mem\_ABot\_then\_cl\_unsat}  & \explanation{postcondition} & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.44} & \noresult\\ 
\hline
\explanation{VC for horn\_logic} & & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.52} & \noresult\\ 
\hline
\explanation{horn\_sat} & & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.22} & \noresult\\ 
\hline
\explanation{horn\_unsat} & & & & & & & & & & & & & & & & & & & & & & & & & & & & \noresult& \valid{0.21} & \noresult\\ 
\hline \end{tabular}
